Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.plot.access
Class PlotTransformer

    ru.biosoft.access.AbstractTransformer
      |
      +--ru.biosoft.access.support.TagEntryTransformer
            |
            +--ru.biosoft.access.support.BeanInfoEntryTransformer
                  |
                  +--biouml.plugins.simulation.plot.access.PlotTransformer

public class PlotTransformer
extends BeanInfoEntryTransformer

Method Summary
`Class` | `getInputType()`
`Class` | `getOutputType()`
`void` | `init(DataCollection primaryCollection, DataCollection transformedCollection)`
`synchronized DataElement` | `transformInput(DataElement input)`
`synchronized DataElement` | `transformOutput(DataElement de)`

Methods inherited from class ru.biosoft.access.support.BeanInfoEntryTransformer
`getEndTag, getStartTag, initCommands`

Methods inherited from class ru.biosoft.access.support.TagEntryTransformer
`addCommand, getProcessedObject, readObject, removeCommand, writeObject`

Methods inherited from class ru.biosoft.access.AbstractTransformer
`getPrimaryCollection, getTransformedCollection, isInputType, isOutputType`

Method Detail

### getInputType

    public Class getInputType()

### getOutputType

    public Class getOutputType()

### init

    public void init(DataCollection primaryCollection, DataCollection transformedCollection)

### transformInput

    public synchronized DataElement transformInput(DataElement input)
                                             throws java.lang.Exception

### transformOutput

    public synchronized DataElement transformOutput(DataElement de)
                                              throws java.lang.Exception

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM